searchNodes=[{"doc":"Persists the configurations from a list of files during compilation. Also puts the current application name in a module attribute and provides a get_env macro for concise configuration value retrieval.InstallationAdd persist_config to your list of dependencies in mix.exs. Also include the required configuration files in the package definition of mix.exs:def project do [ app: :your_app, ... deps: deps(), package: package(), ... ] end ... def deps do [ {:persist_config, &quot;~&gt; 0.4&quot;, runtime: false} ] end ... defp package do [ files: [&quot;lib&quot;, &quot;mix.exs&quot;, &quot;README*&quot;, &quot;config/persist*.exs&quot;], maintainers: [...], licenses: [...], links: %{...} ] endUsageuse PersistConfig supports the following options::app - module attribute to hold the current application name, defaults to :app:files - wildcard paths, defaults to [&quot;config/persist*.exs&quot;]Option :files selects the files whose configurations will be persisted. Each wildcard path is relative to the root. If no matching files are found, no configurations are persisted.Although it is needless to do so, you can still import the configurations from the above matching files in config/config.exs or friends. For example:import Config import_config &quot;persist_this_config.exs&quot;When your project is used as a dependency, this package will allow the specified configuration files to have their configurations persisted during compilation.For example, you may configure some path to read an external file and want to still read that very file when your app is a dependency (without and despite any path configuration in the parent app). To achieve this:1. Use a module attribute as a constant:use PersistConfig ... @path get_env(:path)2. Create a configuration file named, say, config/persist_path.exs:import Config config :words_cache, path: &quot;\#{File.cwd!()}/assets/words.txt&quot;3. In mix.exs, specify a package definition like this:defp package do [ files: [... &quot;assets/words.txt&quot;, &quot;config/persist*.exs&quot;], maintainers: [...], licenses: [...], links: %{...} ] endExample 1use PersistConfig, files: [&quot;config/persist_path.exs&quot;] ... @all_env Application.get_all_env(@app) @path get_env(:path)Example 2use PersistConfig, app: :my_app ... @my_attr Application.get_env(@my_app, :my_attr)Example 3use PersistConfig ... defp log?, do: get_env(:log?, true)","ref":"PersistConfig.html","title":"PersistConfig","type":"module"},{"doc":"Persists the configurations from a list of files during compilation. Also puts the current application name in a module attribute.use PersistConfig supports the following options::app - module attribute to hold the current application name, defaults to :app:files - wildcard paths, defaults to [&quot;config/persist*.exs&quot;]","ref":"PersistConfig.html#__using__/1","title":"PersistConfig.__using__/1","type":"macro"},{"doc":"Returns the value for key in in the current application's environment.If the configuration parameter does not exist, returns the default value.","ref":"PersistConfig.html#get_env/2","title":"PersistConfig.get_env/2","type":"macro"}]